:root {
    --announcement-height: 0px;
}

#announcement {
    display: none;
}

main {
    max-width: 1600px;
}

input, input:focus, fieldset, label {
    outline: none;
    border: none;
}

input[type="radio"], input[type="checkbox"] {
    outline: none;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    margin: 0px;
}

input[type="radio"]:focus, input[type="checkbox"]:focus {
    outline: none;
}

body {
    box-sizing: border-box;
    /*background: rgb(209, 230, 224);*/
    /*background: linear-gradient(180deg, rgba(2, 0, 36, 1) 0%, rgba(9, 9, 121, 1) 35%, rgba(0, 212, 255, 1) 100%);*/
    padding: 0px;
    margin: 0px;
    border: 0px;
    font-family: var(--font-main);
    font-weight: 300;
    overscroll-behavior: none;
}

#configurator {
    position: relative;
    width: 100vw;
}

#configurator-main {
    width: 100%;
}

#configurator-panel-content {
    position: sticky;
    top: 0px;
    z-index: 1;
    background-color: white;
    /*box-shadow: inset 0px -30px 12px -30px rgba(0,0,0,0.25);*/
    /*box-shadow: 0px 0px 12px rgba(0,0,0,0.25);*/
    box-shadow: 0px 0px 30px 5px white;
}

#configurator-gallery {
    top: 0px;
    width: 100vw;
    height: 60svh;
}

.configurator-summary {
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: baseline;
    padding: 15px 40px;
    width: 100%;
    font-weight: 300;
    /*font-family: var(--font-accent);*/
    color: rgba(var(--brand-dark), 1.0);
    /*color: rgba(var(--brand-dark), 0.8);*/
    /*color: rgba(var(--brand-dark), 0.8);*/
}

#configurator-options-summary {
    display: none;
}

.configurator-product {
    font-size: 250%;
    font-family: var(--font-accent);
    flex: 0 0 100%;
}

.configurator-price {
    font-weight: 300;
    font-size: 125%;
    display: none;
}

/*.configurator-product, .configurator-price {
    flex: 0 0 50%;
}*/

.configurator-options, .configurator-details {
    flex: 0 0 50%;
    opacity: 0.3;
}

.configurator-price, .configurator-details {
    text-align: right;
}

#configurator-content-summary {
    z-index: 1;
}

@media screen and (min-width: 800px) {
    #configurator-main {
        display: flex;
        flex-wrap: nowrap;
        align-items: start;
    }

    #configurator-panel-content {
        padding-top: 100px;
    }
    
    #configurator-gallery {
        position: relative;
        width: calc(60vw + 30px);
        height: 85svh;
        margin-left: -50px;
        border-radius: 30px;
        /*border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;*/
        overflow: hidden;
    }

    #configurator-gallery-navigator {
        right: 30px;
        bottom: 30px;
        left: unset;
    }

    #configurator-panel-content {
        background-color: transparent;
        /*box-shadow: inset 0px -30px 12px -30px rgba(0,0,0,0.25);*/
        /*box-shadow: 0px 0px 12px rgba(0,0,0,0.25);*/
        box-shadow: none;
    }

    #configurator-panel-options {
        width: 40vw;
        padding: 0px 40px;
        padding-top: 100px;
    }

    #configurator-content-summary {
        display: none;
    }

    #configurator-options-summary {
        display: flex;
        padding: 0px 30px;
    }

    .configurator-summary {
        position: relative;
        color: rgba(var(--brand-dark), 0.8);
        font-size: 125%;
        bottom: unset;
        margin-bottom: 20px;
    }

    #configurator-options-padding {
        width: 100%;
    }

    #configurator-supplementary {
        position: absolute;
        box-sizing: border-box;
        padding-left: calc(60vw + 20px);
        padding-right: 40px;
        width: 100%;
    }
}


#configurator-product-selection {
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    gap: 10px;
}

.configurator-product-button {
    display: flex;
    width: calc(100% / 2 - 5px);
    align-items: center;
    justify-content: center;
    height: 18svh;    
    gap: 20px;
}

.configurator-radio-button, .configurator-checkbox {
    position: relative;
    border-radius: 10px;
    box-sizing: border-box;
    outline: rgba(128, 128, 128, 0.5) 1px solid;
    padding: 20px;
    cursor: pointer;
}

input[type="radio"]:checked + .configurator-radio-button {
    outline: rgba(var(--brand-dark), 1.0) 1.5px solid;
}

input[type="radio"]:checked + .configurator-product-button {
    /*box-shadow: inset 0px 0px 48px 0px rgba(var(--brand-stone-light), 0.5);*/
    background-color: rgba(var(--brand-stone-light), 0.15);
}

input[type="checkbox"]:checked + .configurator-checkbox {
    outline: rgba(var(--brand-dark), 1.0) 1.5px solid;
}

#configurator-product-section input[type="radio"] {
    display: none;
}

.configurator-product-name {
    margin-bottom: 8px;
    font-size: 125%;
    font-family: var(--font-accent);
    color: rgb(var(--brand-dark));
}

.configurator-product-details {
    font-size: 90%;
}

.configurator-product-detail {
    color: rgba(var(--brand-dark), 0.4);
}

.configurator-product-price {
    margin-top: 8px;
}

.product-discounting {
    display: none;
}

.discounted .product-discounting {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.discounted .configurator-product-price {
    opacity: 0.25;
    text-decoration: line-through;
}

.configurator-section {
    box-sizing: border-box;
    width: 100%;
    padding: 20px 20px;
}

.configurator-selection-group {
    margin-top: 10px;
    width: 100%;
    display: flex;
}

.configurator-vertical-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.configurator-vertical-group .configurator-radio-button {
    margin-right: 0px;
}

.configurator-section-title {
    font-size: 100%;
    font-weight: 500;
    color: rgba(var(--brand-dark), 0.8);
    text-align: center;
}

.configurator-section-subtitle {
    font-family: var(--font-accent);
    font-style: italic;
    font-size: 115%;
    font-weight: 300;
    color: rgba(var(--brand-dark), 0.4);
    text-align: center;
}

.configurator-row {
    position: relative;
    box-sizing: border-box;
    display: flex;
    width: 100%;
    padding: 20px 0px;
    gap: 10px;
    flex: 1;
}

.check-button {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.check-icon {
    width: 24px;
    height: 24px;
    background-color: rgba(var(--brand-dark), 1.0);
    background-image: url('/images/check.webp');
    background-size: 50%;
    background-position: 50%;
    background-repeat: no-repeat;
    border-radius: 100%;
    opacity: 0.0;
}

input[type="radio"]:checked + .check-button > .check-icon {
    opacity: 1.0;
}

input[type="checkbox"]:checked + .check-button > .check-icon {
    opacity: 1.0;
}

#configurator-ownership-check {
    margin-top: 20px;
    text-align: center;
    font-size: 75%;
    opacity: 0.6;
}

#configurator-ownership-check a {
    text-decoration: underline;
    color: rgb(var(--brand-dark));
}

#configurator-supplementary {
    margin-top: 30px;
}

#configurator-quantity-selection {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    /*padding: 0px 30px;*/
}

.configurator-quantity-button {
    margin: 20px;
    min-width: 32px;
    height: 32px;
    background-color: rgba(var(--brand-dark), 0.25);
    background-size: 70%;
    background-position: 50%;
    background-repeat: no-repeat;
    border-radius: 100%;
    cursor: pointer;
}

#configurator-quantity-decrease {
    background-image: url('/images/minus.webp');
}

#configurator-quantity-increase {
    background-image: url('/images/plus.webp');
}

.configurator-quantity-visual {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    min-width: 50%;
}

#configurator-quantity-number {
    font-size: 250%;
    font-weight: 300;
    color: rgba(var(--brand-dark), 0.8);
    display: none;
}

#configurator-quantity-icons {
    display: flex;
    filter: drop-shadow(rgba(0,0,0,0.25) 0px 3px 5px);
    margin-left: 13.5px;
}

.configurator-quantity-icon {
    width: 40px;
    height: 80px;
    background-image: url('/images/icon-taiga.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 50%;
    /*border: 1px solid rgba(var(--brand-stone-dark), 0.5);*/
    /*background-color: rgba(var(--brand-stone-light), 0.25);*/
    margin-left: -13.5px;
}

.product-discounting {
    font-size: 100%;
}

#add-to-cart {
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: baseline;
    margin: 20px;
    width: calc(100% - 40px);
    padding: 20px;
    border-radius: 10px;
    background-color: rgba(var(--brand-earth-dark), 0.1);
    color: rgb(var(--brand-dark));
    font-weight: 400;
    font-size: 115%;
    background-color: rgba(var(--brand-stone-dark), 0.75);
    background: radial-gradient(circle at 50%, rgba(var(--brand-dark), 0.06), rgba(var(--brand-dark), 0.02) 100%);
    color: white;
    color: rgba(var(--brand-dark), 0.8);
}

#atc-product {
    font-family: var(--font-accent);
}

#atc-button {
    width: 100%;
    padding: 15px 30px;
    background-image: linear-gradient(rgba(48, 48, 255, 0.8) 0%, rgba(48, 48, 255, 0.8) 100%), url(/images/button-stone.webp);
    border: none;
    flex-shrink: 0;
}

#atc-summary, #atc-price {
    margin: 0px 20px;
    margin-top: 15px;
}

.discounted #atc-price {
    opacity: 0.25;
    text-decoration: line-through;
}

#atc-options  {
    font-weight: 300;
    font-size: 75%;
    opacity: 0.5;
}

#atc-pricing {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

#atc-pricing .product-discounting {
    margin-right: 20px;
}

#add-to-cart-dialog {
    position: fixed;
    bottom: 0px;
    width: 100vw;
    z-index: 1;
    transition: opacity 0.5s ease-in-out, backdrop-filter 0.5s ease-in-out;
    opacity: 0.0;
    pointer-events: none;
}

.atcd-visible {
    opacity: 1.0 !important;
    pointer-events: auto !important;
}

#atc-dialog-box {
    position: relative;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 20px 20px;
    padding: 15px;
    /*height: 30px;*/
    border-radius: 10px;
    backdrop-filter: blur(20px);
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.15);
    background-color: rgba(var(--brand-stone-dark), 0.75);
    background-color: rgba(255, 255, 255, 0.75);
    color: white;
    color: rgba(var(--brand-dark), 0.8);
    font-weight: 400;
    font-size: 100%;
    max-width: 1600px;
}

#atc-dialog-summary {
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
}

#atc-dialog-thumbnail {
    display: none;
    height: 100%;
    aspect-ratio: 1.0;
    background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    background-image: none;
    border-radius: 5px;
    margin-right: 10px;
}

#atc-dialog-product {
    font-family: var(--font-accent);
}

#atc-dialog-options {
    font-weight: 300;
    font-size: 75%;
    opacity: 0.5;
}

#atc-dialog-pricing {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.discounted #atc-dialog-price {
    opacity: 0.25;
    text-decoration: line-through;
}

#atc-dialog-purchase {
    display: flex;
    align-items: center;
    gap: 10px;
}

#atc-dialog-button {
    background-color: rgba(var(--brand-stone-dark), 1.0);
    padding: 15px 30px;
    background-image: linear-gradient(rgba(48, 48, 255, 0.8) 0%, rgba(48, 48, 255, 0.8) 100%), url(/images/button-stone.webp);
    border: none;
}

@media screen and (min-width: 800px) {
    #atc-dialog-box {
        margin: 20px auto;
        width: calc(100% - 240px);
        max-width: 1600px;
        font-size: 115%;
    }

    #atc-dialog-summary {
        height: 80px;
    }

    #atc-dialog-thumbnail {
        display: block;
    }

    #atc-dialog-purchase {
        gap: 20px;
    }
}

#line-break {
    width: 100%;
    height: 1px;
    background-color: rgba(0,0,0,0.05);
}

@media screen and (min-width: 800px) {
    line-break {
        display: none;
    }
}